Bug 645857 - Review Request: xorg-x11-drv-omapfb - Xorg X11 omap frame buffer driver
Review Request: xorg-x11-drv-omapfb - Xorg X11 omap frame buffer driver
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
Depends On:
Blocks: ArmOmap
  Show dependency treegraph
Reported: 2010-10-22 12:52 EDT by Dennis Gilmore
Modified: 2011-05-07 15:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-05-07 15:11:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbrobinson: fedora‑review+
dennis: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2010-10-22 12:52:55 EDT
Spec URL: http://ausil.us/packages/xorg-x11-drv-omapfb.spec
SRPM URL: http://ausil.us/packages/xorg-x11-drv-omapfb-0.1.1-1.fc14.src.rpm
Description: X.Org X11 omap frame buffer driver.
Comment 1 Peter Robinson 2010-10-23 11:47:43 EDT
It builds on primary arches if you remove the exlusive arch flag but as its only of use on ARM I don't see the point (maybe we need to get package guidelines to reflect that).

Looks mostly OK. The first one here seems to be that some X drivers do and others don't. I'm not sure its a major issue. I'm not sure if the later one is due to being grabbed from GIT (although it has worked fine in other instances). 
- license file included in package
- upstream sources match sources in the srpm

+ rpmlint output

$ rpmlint xorg-x11-drv-omapfb-0.1.1-1*
xorg-x11-drv-omapfb.armv5tel: W: spelling-error Summary(en_US) omap -> map, o map, Omar
xorg-x11-drv-omapfb.armv5tel: W: spelling-error %description -l en_US omap -> map, o map, Omar
xorg-x11-drv-omapfb.armv5tel: W: no-documentation
xorg-x11-drv-omapfb.src: W: spelling-error Summary(en_US) omap -> map, o map, Omar
xorg-x11-drv-omapfb.src: W: spelling-error %description -l en_US omap -> map, o map, Omar
xorg-x11-drv-omapfb.src:77: W: macro-in-comment %{_mandir}
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
- license file included in package
+ latest version packaged

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
- upstream sources match sources in the srpm

md5sum xf86-video-omapfb-0.1.1.tar.gz 
f3699f5644bec0307071ffeb88f51921  xf86-video-omapfb-0.1.1.tar.gz
md5sum ../rpmbuild/SOURCES/xf86-video-omapfb-0.1.1.tar.gz 
effdaf4ef203ab071473c2d71b6e59ef  ../rpmbuild/SOURCES/xf86-video-omapfb-0.1.1.tar.gz
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ Package perserves timestamps on install
+ Permissions on files must be set properly 
+ %defattr line
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package runtime 
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ filenames must be valid UTF-8


+ if there is no license file, packager should query upstream to include it
n/a translations of description and summary for non-English languages, if
+ reviewer should build the package in mock/koji
+ the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a non -devel packages should require fully versioned base
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
n/a Package should have man files
Comment 2 Niels de Vos 2011-03-27 07:09:42 EDT
Note on the issue that the upstream sources do not match the sources included in the src.rpm:

cgit or gitweb for that matter generate the tar.gz on the fly. The result contains some timestamps which makes the resulting archives differ in checksums.

This affects .tar.gz files, using .tar.bz2 (or .zip works as well) and does not have the timestamp issue. Use something like the following and the issue should be fixed:

> Source0:   http://cgit.pingu.fi/xf86-video-omapfb/snapshot/%{tarball}-%{version}.tar.bz2

- http://lists.fedoraproject.org/pipermail/devel/2011-February/148712.html
Comment 3 Niels de Vos 2011-03-27 07:55:41 EDT
Hello Dennis,

I took the liberty to update the spec and build a new package from the latest upstream version. My spec does not include all the patches separate, but instead downloads a more recent bzip2 archive from upstream git. Maybe this helps you on your way to have this package reviewed.

Many thanks,

SRPM: http://repos.fedorapeople.org/repos/devos/arm-fixes/fedora-13/SRPMS/xorg-x11-drv-omapfb-
SPEC: http://repos.fedorapeople.org/repos/devos/arm-fixes/fedora-13/SRPMS/xorg-x11-drv-omapfb.spec

ARM-Koji scratch build: http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=92565

$ rpmlint xorg-x11-drv-omapfb.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint xorg-x11-drv-omapfb- 
xorg-x11-drv-omapfb.src: W: spelling-error Summary(en_US) omap -> map, o map, Omar
xorg-x11-drv-omapfb.src: W: spelling-error %description -l en_US omap -> map, o map, Omar
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 4 Michel Alexandre Salim 2011-03-27 08:09:11 EDT
May I suggest capitalizing OMAP? It'd get rid of the rpmlint warnings, and AFAIK that's what the chip is actually called anyway.
Comment 5 Niels de Vos 2011-03-27 14:36:15 EDT
Correct, Michel!

The upsteam cgit-browser at http://cgit.pingu.fi/xf86-video-omapfb has "X.Org driver for TI OMAP framebuffers" as description. This can be updated in the spec as well. The package name should stay lowercase of course.
Comment 6 Niels de Vos 2011-03-28 04:32:12 EDT
Upstream provided a COPYING file:
- http://cgit.pingu.fi/xf86-video-omapfb/tree/COPYING?id=33e36c

Dennis, please revise your spec-file and src.rpm so that the review can continue.

Many thanks,
Comment 8 Peter Robinson 2011-04-28 11:45:48 EDT
Looks good. APPROVED!
Comment 9 Dennis Gilmore 2011-04-28 11:49:38 EDT
New Package SCM Request
Package Name: xoeg-x11-drv-omapfb
Short Description: X.Org X11 omap frame buffer driver
Owners: ausil
Branches: f13 f14 f15 devel
Comment 10 Dennis Gilmore 2011-04-28 12:14:08 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.